.carousel-container {
	width: 100%;
	max-width: 600px;
	overflow: hidden;
	position: relative;
	border-radius: 10px;
	box-shadow: 0 4px 10px rgba(0,0,0,0.1);
}

.carousel-track {
	display: flex;
	transition: transform 0.5s ease-in-out;
}

.carousel-image {
	display: flex;
	flex-direction: column;
	min-width: 100%;
/*	object-fit: cover;*/
}

.carousel-button {
	color: #ffffff50;
	position: absolute;
	bottom: 15px;
  	transform: translateY(25%);
	background: transparent;
	border-radius: 50%;
	border: none;
	font-size: 2rem;
	padding: 0.3em 0.6em;
	cursor: pointer;
	z-index: 2;
	transition: all 0.2s;
}
.carousel-button:hover {
	color: #1FB3EF;
/*	background: #1FB3EF10;*/
}

.carousel-button:focus {
  outline: none;
  box-shadow: none;
}
.carousel-button.prev { left: 10px; }
.carousel-button.next { right: 10px; }

/* Bullet/Navigator Styles */
.carousel-nav {
	position: absolute;
	bottom: 15px;
	left: 50%;
	transform: translateX(-50%);
	display: flex;
	gap: 16px;
	z-index: 2;
}
.carousel-nav button {
	width: 12px;
	height: 12px;
	border-radius: 50%;
	border: none;
	background: #ffffff50;
	cursor: pointer;
	transition: all 0.2s;
	padding: 0;
}
.carousel-nav button:hover {
	background: #7C42E6;
}
.carousel-nav button.active {
	background: #1FB3EF;
/*	background: rgba(255,255,255,1);*/
}